# Uses of Class
org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

Packages that use TermsIndexReaderBase
Package
Description
org.apache.lucene.codecs.blockterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of TermsIndexReaderBase in org.apache.lucene.codecs.blockterms

  Subclasses of TermsIndexReaderBase in org.apache.lucene.codecs.blockterms
  Modifier and Type
  Class
  Description
  `class`
  `FixedGapTermsIndexReader`
  TermsIndexReader for simple every Nth terms indexes.
  `class`
  `VariableGapTermsIndexReader`
  See `VariableGapTermsIndexWriter`
  Constructors in org.apache.lucene.codecs.blockterms with parameters of type TermsIndexReaderBase
  Modifier
  Constructor
  Description
  ``
  `BlockTermsReader(TermsIndexReaderBase indexReader, PostingsReaderBase postingsReader, SegmentReadState state)`